Bug 838363 - SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'name_connect' accesses on the tcp_socket .
SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'name_conn...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:34db78076528989f226330467bd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 16:42 EDT by dragongirl9782
Modified: 2012-12-04 07:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-08 06:40:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dragongirl9782 2012-07-08 16:42:17 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.4-3.fc17.x86_64
time:           Sun 08 Jul 2012 03:41:50 PM CDT

description:
:SELinux is preventing /usr/lib64/xulrunner-2/plugin-container from 'name_connect' accesses on the tcp_socket .
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that plugin-container should be allowed name_connect access on the  tcp_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:postfix_policyd_port_t:s0
:Target Objects                 [ tcp_socket ]
:Source                        plugin-containe
:Source Path                   /usr/lib64/xulrunner-2/plugin-container
:Port                          10031
:Host                          (removed)
:Source RPM Packages           xulrunner-13.0.1-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-134.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.4-3.fc17.x86_64 #1
:                              SMP Tue Jun 26 20:54:56 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Sun 08 Jul 2012 03:41:15 PM CDT
:Last Seen                     Sun 08 Jul 2012 03:41:15 PM CDT
:Local ID                      3240e264-043b-4263-8bc6-1c04a6cfa202
:
:Raw Audit Messages
:type=AVC msg=audit(1341780075.657:85): avc:  denied  { name_connect } for  pid=3576 comm="plugin-containe" dest=10031 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:postfix_policyd_port_t:s0 tclass=tcp_socket
:
:
:type=SYSCALL msg=audit(1341780075.657:85): arch=x86_64 syscall=connect success=no exit=EACCES a0=13 a1=7f65c5de2268 a2=10 a3=7f65a9e6c9d0 items=0 ppid=1363 pid=3576 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=plugin-containe exe=/usr/lib64/xulrunner-2/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: plugin-containe,mozilla_plugin_t,postfix_policyd_port_t,tcp_socket,name_connect
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-07-09 04:59:56 EDT
Do you know what you were doing when this happened?
Comment 2 dragongirl9782 2012-08-06 17:02:24 EDT
(In reply to comment #1)
> Do you know what you were doing when this happened?

Sorry for a late reply, I think I do. I was trying to get on a xat.com chat when this error was thrown.
Comment 3 Miroslav Grepl 2012-08-08 06:40:44 EDT
Are you able to reproduce it? If yes, please reopen the bug.
Comment 4 Anonymous account 2012-12-02 13:21:02 EST
If you try to watch a soccer match, for i.e., through Flash at full screen it sometimes happens . It happens more frequently when you connect a second monitor and try to watch something at full screen. Then, if you continue surfing the web, as soon as you click on the first monitor, Flash crashes and disappears from the second monitor, to end up in its normal size.
Comment 5 Miroslav Grepl 2012-12-03 05:34:44 EST
Ok, I changed

mozilla_plugin_can_network_connect

boolean to allow to connect to all ports for these cases.
Comment 6 Anonymous account 2012-12-03 11:29:57 EST
Thank you. But, can you explain how do I change "mozilla_plugin_can_network_connect" in my Firefox, or should I understand it will be repaired in a next version of it? Thank you in advance.
Comment 7 Miroslav Grepl 2012-12-04 07:50:11 EST
It will be a part of the next build. And you will run in your terminal

# setsebool -P mozilla_plugin_can_network_connect 1

which alert will tell you.

Note You need to log in before you can comment on or make changes to this bug.